Package ru.bitel.bgbilling.modules.drwebn.common.service

# Interface DrwebService

    public interface DrwebService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `accountClear​(java.lang.String cids, java.lang.String date)` | Очистка наработки
  `java.util.List<DrwebAgent>` | `agentList​(int contractId)` |
  `java.util.List<DrwebAgentStatus>` | `agentStatusList​(int agentId)` |
  `java.util.List<DrwebTariff>` | `allTariffList()` |
  `void` | `recalculate​(java.lang.String cids, java.lang.String mail, java.lang.String date, java.lang.String comment)` | Переобсчет
  `java.util.List<DrwebAgentStatus>` | `statusChange​(DrwebAgentStatus status, boolean rewrite)` |
  `void` | `tariffDelete​(int id)` |
  `java.util.List<DrwebTariff>` | `tariffListForContract​(int contractId, boolean forNew)` |
  `void` | `tariffUpdate​(DrwebTariff tariff)` |

- ## Method Details

  - ### allTariffList

    java.util.List<DrwebTariff> allTariffList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tariffListForContract

    java.util.List<DrwebTariff> tariffListForContract​(int contractId, boolean forNew) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tariffUpdate

    void tariffUpdate​(DrwebTariff tariff) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tariffDelete

    void tariffDelete​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### agentList

    java.util.List<DrwebAgent> agentList​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### agentStatusList

    java.util.List<DrwebAgentStatus> agentStatusList​(int agentId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### statusChange

    java.util.List<DrwebAgentStatus> statusChange​(DrwebAgentStatus status, boolean rewrite) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### recalculate

    void recalculate​(java.lang.String cids, java.lang.String mail, java.lang.String date, java.lang.String comment) throws ru.bitel.bgbilling.common.BGException
    Переобсчет
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### accountClear

    void accountClear​(java.lang.String cids, java.lang.String date) throws ru.bitel.bgbilling.common.BGException
    Очистка наработки
    Throws:
      `ru.bitel.bgbilling.common.BGException`